<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
    android:id="@+id/llRowRoot"
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">


    <LinearLayout
        android:id="@+id/llRowBody"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/color_bg_01"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/rlRowBody1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/llRowBody1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/color_body_01"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tvRowBody1_Title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="닫힘"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_08"
                    android:textStyle="bold"/>

                <RelativeLayout
                    android:layout_width="190dp"
                    android:layout_height="190dp"
                    android:layout_marginTop="10dp">

                    <ImageView
                        android:id="@+id/ivRowBody1_Icon"
                        android:layout_width="190dp"
                        android:layout_height="190dp"
                        android:background="@drawable/img_things_detail_02_01_sensor_shock_normal"/>

                    <TextView
                        android:id="@+id/tvRowBody1_Desc"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentBottom="true"
                        android:layout_marginBottom="40dp"
                        android:gravity="center_horizontal"
                        android:includeFontPadding="false"
                        android:textColor="@color/color_text_04"
                        android:textSize="@dimen/size_font_01"
                        android:textStyle="bold"/>
                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/llRowBody1_Contents"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal">

                    <Button
                        android:id="@+id/btnRowBody1_Contents_On"
                        android:layout_width="wrap_content"
                        android:layout_height="65dp"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp"
                        android:layout_marginTop="20dp"
                        android:background="@drawable/d_img_things_detail_06_99_btn_on"
                        android:minWidth="110dp"
                        android:textColor="@color/color_text_04"
                        android:textSize="@dimen/size_font_02"/>

                    <Button
                        android:id="@+id/btnRowBody1_Contents_Off"
                        android:layout_width="wrap_content"
                        android:layout_height="65dp"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp"
                        android:layout_marginTop="20dp"
                        android:background="@drawable/d_img_things_detail_06_99_btn_off"
                        android:minWidth="110dp"
                        android:textColor="@color/color_text_04"
                        android:textSize="@dimen/size_font_02"/>

                    <Button
                        android:id="@+id/btnRowBody1_Contents_Lock"
                        android:layout_width="wrap_content"
                        android:layout_height="65dp"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp"
                        android:layout_marginTop="20dp"
                        android:background="@drawable/d_img_things_detail_05_99_btn_lock"
                        android:minWidth="110dp"
                        android:textColor="@color/color_text_04"
                        android:textSize="@dimen/size_font_02"/>
                </LinearLayout>

                <TextView
                    android:id="@+id/tvRowBody1_NodeName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:gravity="center_horizontal"
                    android:includeFontPadding="false"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_03"
                    android:textStyle="bold"/>

                <LinearLayout
                    android:id="@+id/llRowBody1_Page_Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="10dp"
                    android:gravity="center_horizontal"
                    android:layout_marginTop="25dp"
                    android:layout_marginBottom="5dp"
                    android:orientation="horizontal">
                </LinearLayout>

                <View
                    style="@style/width_Divider_02"
                    android:layout_marginTop="55dp"/>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llLoading1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignBottom="@+id/llRowBody1"
                android:layout_alignLeft="@+id/llRowBody1"
                android:layout_alignRight="@+id/llRowBody1"
                android:layout_alignTop="@+id/llRowBody1"
                android:background="@drawable/common_bg_alpha_85_w"
                android:gravity="center"
                android:visibility="gone">

                <ProgressBar
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:indeterminateDrawable="@drawable/d_things_run_loading"
                    android:indeterminateDuration="100"/>
            </LinearLayout>
        </RelativeLayout>

        <View
            android:id="@+id/vEmp"
            android:layout_width="match_parent"
            android:layout_height="20dp"
            android:visibility="gone"/>

        <LinearLayout
            android:id="@+id/llRowBody2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:background="@drawable/color_body_01"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:minHeight="75dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tvRowBody2_Title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="배터리"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_01"
                    android:textStyle="bold"/>

                <View
                    android:id="@+id/vEmp1"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_horizontal"/>

                <RelativeLayout
                    android:id="@+id/rlRowBody2_Body"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:id="@+id/llRowBody2_Body"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingBottom="20dp"
                        android:paddingTop="20dp">

                        <TextView
                            android:id="@+id/tvRowBody2_Body"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10dp"
                            android:gravity="center"
                            android:includeFontPadding="false"
                            android:text="80%"
                            android:textColor="@color/color_text_01"
                            android:textSize="@dimen/size_font_01"
                            android:textStyle="bold"/>

                        <Button
                            android:id="@+id/btnRowBody2_Control"
                            android:layout_width="45dp"
                            android:layout_height="35dp"
                            android:layout_marginRight="10dp"
                            android:background="@drawable/img_things_list_btn_onoff_off"/>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llLoading2"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_alignBottom="@+id/llRowBody2_Body"
                        android:layout_alignLeft="@+id/llRowBody2_Body"
                        android:layout_alignRight="@+id/llRowBody2_Body"
                        android:layout_alignTop="@+id/llRowBody2_Body"
                        android:background="@drawable/common_bg_alpha_85_w"
                        android:gravity="center"
                        android:visibility="gone">

                        <ProgressBar
                            android:layout_width="35dp"
                            android:layout_height="35dp"
                            android:indeterminateDrawable="@drawable/d_things_run_loading"
                            android:indeterminateDuration="100"/>
                    </LinearLayout>
                </RelativeLayout>
            </LinearLayout>

            <View
                style="@style/width_Divider_02"/>
        </LinearLayout>


        <View
            style="@style/width_section"/>
    </LinearLayout>
</LinearLayout>
